# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.focusManager

Defined in: core/focusmanager.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.focusManager(editor) Manages the focus activity in an editor instance.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| hasFocus Indicates that the editor instance has focus.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| blur() Indicates that the editor instance has lost the focus.
| focus() Indicates that the editor instance has the focus.
| forceBlur() Indicates that the editor instance has lost the focus.

Class Detail
CKEDITOR.focusManager(editor)
Since: 3.0
Manages the focus activity in an editor instance. This class is to be used mainly by UI elements coders when adding interface elements to CKEditor.

Parameters:
{CKEDITOR.editor} editor
  The editor instance.

Field Detail
{Boolean} hasFocus
Since: 3.0
Indicates that the editor instance has focus.

    alert( CKEDITOR.instances.editor1.focusManager.hasFocus );  // e.g "true"

Method Detail
{Undefined} blur()
Since: 3.0
Indicates that the editor instance has lost the focus. Note that this functions acts asynchronously with a delay of 100ms to avoid subsequent blur/focus effects. If you want the "blur" to happen immediately, use the #forceBlur function instead.

    var editor = CKEDITOR.instances.editor1;
    editor.focusManager.blur();

{Undefined} focus()
Since: 3.0
Indicates that the editor instance has the focus. This function is not used to set the focus in the editor. Use CKEDITOR.editor#focus for it instead.

    var editor = CKEDITOR.instances.editor1;
    editor.focusManager.focus();

{Undefined} forceBlur()
Since: 3.0
Indicates that the editor instance has lost the focus. Unlike #blur, this function is synchronous, marking the instance as "blured" immediately.

    var editor = CKEDITOR.instances.editor1;
    editor.focusManager.forceBlur();

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.